package com.xy.service;

import com.xy.dto.BackMqttDto;
import com.xy.dto.MqttDto;
import com.xy.feign.MqttFeign;
import com.xy.utils.R;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@AllArgsConstructor
public class MqttServiceImpl implements MqttFeign {

    private MqttFeign mqttFeign;

    @Override
    public List<MqttDto.Vo> sendMqtt(List<MqttDto> mqttDtos) {
        return mqttFeign.sendMqtt(mqttDtos);
    }

    @Override
    public R mqttBack(BackMqttDto backMqttDto) {
        return mqttFeign.mqttBack(backMqttDto);
    }
}
