package com.xy.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xy.entity.MqttAcl;
import com.xy.mapper.MqttAclMapper;
import com.xy.service.MqttAclService;
import com.xy.utils.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.stereotype.Service;

/**
 * mqtt授权 接口实现
 */
@Service
@Api(tags = "mqtt授权")
public class MqttAclServiceImpl extends ServiceImpl<MqttAclMapper, MqttAcl> implements MqttAclService {

    @Override
    @ApiOperation("获取mqtt信息")
    public R<MqttAcl> get(MqttAcl mqttAcl) {
        MqttAcl mqttAclInfo = getOne(new LambdaQueryWrapper<>(mqttAcl));
        return R.ok(mqttAclInfo);
    }
}
