package com.xy.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * mqtt授权表
 */
@Data
@ApiModel("mqtt授权")
@Accessors(chain = true)
public class MqttAcl {

    @ApiModelProperty("唯一标识")
    private Integer id;

    @ApiModelProperty("ip地址")
    private String ipaddress;

    @ApiModelProperty("账号")
    private String username;

    @ApiModelProperty("客户端id")
    private String clientid;

    @ApiModelProperty("动作")
    private String action;

    @ApiModelProperty("权限")
    private String permission;

    @ApiModelProperty("topic")
    private String topic;

}
