package com.xy.dto.son;

import com.xy.dto.pater.PaterDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@ApiModel("灯")
@Accessors(chain = true)
public class LampDto extends PaterDto {

    @ApiModelProperty("灯编号")
    private String lampId;

    @ApiModelProperty("灯光值")
    private BigDecimal value;

    @ApiModelProperty("开关 true=开 false=关")
    private Boolean onff;

}
