package com.xy.dto.son;

import com.xy.dto.pater.PaterDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@ApiModel("温度")
@Accessors(chain = true)
public class TemperatureDto extends PaterDto {

    @ApiModelProperty("温度值")
    private BigDecimal value;

    @ApiModelProperty("开关 true=开 false=关")
    private Boolean onff;
}
