package com.xy.utils.enums;

import lombok.Getter;

@Getter
public enum MqttEnum {
    //指令类型
    COMMAND_CHECK("check", "自检指令"),
    COMMAND_LOCK_DEVICE("lockDevice", "锁机指令"),
    COMMAND_LOCK("lock", "门锁指令"),
    COMMAND_TEMPERATURE("temperature", "温度指令"),
    COMMAND_LAMP("lamp", "灯光指令"),
    COMMAND_CAMERAS("camera", "摄像头指令"),
    COMMAND_CELL("cell", "电池指令"),
    COMMAND_LOG("log", "日志指令"),
    //指令状态
    COMMAND_SEND("1", "已发送"),
    COMMAND_SEND_FAIL("2", "发送失败"),
    COMMAND_EXECUTE("3", "已执行"),
    COMMAND_EXC_FAIL("4", "执行失败"),
    COMMAND_EXC_TIMEOUT("5", "执行超时"),
    COMMAND_SUCCESS("6", "已完成"),
    ;

    private String key;

    private String msg;

    MqttEnum(String key, String msg) {
        this.key = key;
        this.msg = msg;
    }
}
